#ifndef __USER_CDC__
#define __USER_CDC__
/*==============================================================================
    FILE:           user_cdc.h

    DESCRIPTION:    Uses the cld_cdc_lib library to implement a CDC USB to Serial
                    device.

    Copyright (c) 2014 Closed Loop Design, LLC

    This software is supplied "AS IS" without any warranties, express, implied
    or statutory, including but not limited to the implied warranties of fitness
    for purpose, satisfactory quality and non-infringement. Closed Loop Design LLC
    extends you a royalty-free right to reproduce and distribute executable files
    created using this software for use on Analog Devices Blackfin family
    processors only. Nothing else gives you the right to use this software.

==============================================================================*/
#ifdef _LANGUAGE_C

typedef enum
{
    USER_CDC_INIT_SUCCESS = 0,
    USER_CDC_INIT_ONGOING,
    USER_CDC_INIT_FAILED,
} User_CDC_Init_Return_Code;

extern User_CDC_Init_Return_Code user_cdc_init (void);
extern void user_cdc_main (void);
extern void user_cdc_tx_serial_data (unsigned char length, unsigned char * p_buffer);
#endif /* _LANGUAGE_C */
#endif /* __USER_CDC__ */
